Package Details: mp3diags 1.2.03-2

Git Clone URL: https://aur.archlinux.org/mp3diags.git (read-only)
Package Base: mp3diags
Description: Identify issues with your MP3 files, fix those issues and make other changes
Upstream URL: http://mp3diags.sourceforge.net/
Licenses: GPL
Submitter: danym
Maintainer: rscholer
Last Packager: rscholer
Votes: 57
Popularity: 2.311743
First Submitted: 2009-07-22 00:56
Last Updated: 2016-11-05 22:34

Dependencies (4)

Required by (0)

Sources (1)

Latest Comments

demaio commented on 2015-03-22 20:42

A new version was released: 1.2.02

rscholer commented on 2013-03-01 21:08

As of qt4 4.8.4-12 you need to use qmake-qt4.

Harey commented on 2013-03-01 20:18

and use qmake4 in the PKGBUILD instead of qmake

hseara commented on 2013-03-01 16:59

Please change dependency from qt to qt4. This is due to the new incorporation of qt5 as default.
Right now the system cannot be updated due to this unless MP3DIAGS is removed.

mrbit commented on 2012-10-20 13:44

please update 1.0.12.079 --- unstable 1.1.20.077 thanks

mrbit commented on 2012-10-20 13:30

please update 1.0.12.079 --- unstable 1.0.20.077 thanks

mrbit commented on 2012-10-20 13:21

please update 1.0.20 thanks

Harey commented on 2012-05-15 07:05

I don't think this is the right way. I uploadad a new stable version here and will provide a new AUR package mp3diags-unstable which I will try to maintain in the future. As I use the unstable without any issues for a long period now, I will disown the stable version so someone else can take care of it.

rscholer commented on 2012-05-14 14:56

You have to post your request on the aur-general mailing list:
https://mailman.archlinux.org/mailman/listinfo/aur-general

Harey commented on 2012-05-14 12:34

I would certainly do if I found a way to do this - maybe you can give me a hint?

rscholer commented on 2012-05-14 11:49

You should rename this package to mp3diags-unstable, if you intend to package the unstable version instead of the stable one.

Harey commented on 2012-04-30 13:32

Updated to Version 1.1.19.075

Harey commented on 2012-04-10 13:03

New Version. No patches needed anymore.

Harey commented on 2012-03-27 09:48

Adopted und updated to unstable branch

rscholer commented on 2012-03-25 03:55

Due to lack of time in the foreseeable future, I can no longer maintain mp3diags.

rscholer commented on 2012-03-24 19:35

@Harey: I noticed it, too. I will look into this as soon as possible.

Harey commented on 2012-03-24 16:25

does not build with new gcc:

Helpers.cpp: In function 'long int getMemUsage()':
Helpers.cpp:285:24: error: 'getpid' was not declared in this scope
make[2]: *** [release/Helpers.o] Error 1
make[2]: Leaving directory `/home/harvey/abs/local/mp3diags/src/MP3Diags-1.0.10.065/src'
make[1]: *** [release] Error 2
make[1]: Leaving directory `/home/harvey/abs/local/mp3diags/src/MP3Diags-1.0.10.065/src'
make: *** [sub-src-make_default] Error 2
==> ERROR: A failure occurred in build().

BTW: This links directly to libboost_serialization.so.1.48.0, shouldn't this be be replaced with libboost_serialization.so?

Harey commented on 2012-03-24 16:22

does not build with new gcc

rtfreedman commented on 2012-02-12 00:39

Thanks for adopting the package!

rscholer commented on 2012-02-11 23:00

I' ve adopted this package and included changes proposed by rtfreedman.
This package contains the current stable version of mp3diags.

dserban commented on 2012-02-11 20:04

I'm no longer interested in maintaining this package.

rtfreedman commented on 2012-02-10 22:25

I've modified your PKGBUILD to build either the stable or unstable branch from the release tar ball with very few adoptions.
# Maintainer: Dan Serban
# Contributors: Dany Martineau, Jordi De Groof
# Modified by: RTFreedman

pkgname=mp3diags-unstable
pkgver=1.1.12.068
pkgrel=1
pkgdesc="Identify issues with your MP3 files, fix some of these issues and make other changes"
url=http://mp3diags.sourceforge.net/
license=(GPL)
arch=(i686 x86_64)
depends=(boost-libs qt)
makedepends=(boost lynx)
optdepends=('mp3gain: MP3 normalization support')

# unstable branch
source=http://sourceforge.net/projects/mp3diags/files/unstable/mp3diags-src/MP3Diags-unstable-${pkgver}.tar.gz
# 1.1.12.068
md5sums=('40ca5493e820d0a5a0eef41e0ab323af')

# stable branch - just remove any '-unstable' from PKGBUILD & adjust pkgver
#source=http://sourceforge.net/projects/mp3diags/files/mp3diags-src/MP3Diags-${pkgver}.tar.gz
# 1.0.10.065
#md5sums=('5609f782b10d64d4262d3937fb52adea')

build()
{
cd "${srcdir}/MP3Diags-unstable-${pkgver}"
./AdjustMt.sh
qmake
make
mkdir -p "${pkgdir}"/usr/bin "${pkgdir}"/usr/share/applications
install -p -m755 bin/MP3Diags-unstable "${pkgdir}"/usr/bin/
install -p -m644 desktop/MP3Diags-unstable.desktop "${pkgdir}"/usr/share/applications/

mkdir -p "${pkgdir}"/usr/share/icons/hicolor/{16x16,22x22,24x24,32x32,36x36,40x40,48x48}/apps

install -p -m644 desktop/MP3Diags-unstable16.png "${pkgdir}"/usr/share/icons/hicolor/16x16/apps/MP3Diags-unstable.png
install -p -m644 desktop/MP3Diags-unstable22.png "${pkgdir}"/usr/share/icons/hicolor/22x22/apps/MP3Diags-unstable.png
install -p -m644 desktop/MP3Diags-unstable24.png "${pkgdir}"/usr/share/icons/hicolor/24x24/apps/MP3Diags-unstable.png
install -p -m644 desktop/MP3Diags-unstable32.png "${pkgdir}"/usr/share/icons/hicolor/32x32/apps/MP3Diags-unstable.png
install -p -m644 desktop/MP3Diags-unstable36.png "${pkgdir}"/usr/share/icons/hicolor/36x36/apps/MP3Diags-unstable.png
install -p -m644 desktop/MP3Diags-unstable40.png "${pkgdir}"/usr/share/icons/hicolor/40x40/apps/MP3Diags-unstable.png
install -p -m644 desktop/MP3Diags-unstable48.png "${pkgdir}"/usr/share/icons/hicolor/48x48/apps/MP3Diags-unstable.png
}

rtfreedman commented on 2012-01-16 19:11

Hi, I think your version is, at least a bit odd - for a couple of reason:
- doesn't allow to check for updates
- doesn't allow to determine the current state of development (of installed version)

If a build is done from a cvs/subversion/hg/nightly/etc.pp tree, pkgver should have a non-ambiguous string
reflecting the current state of development used, eg a date or revision.



jordidg commented on 2010-11-30 10:48

Adopted and updated dependencies